- Qt 5.15
- Qt Core
- C++ Classes
- StringResult
- Qt 5.15.19 Reference Documentation

# StringResult Struct

template <typename Container> struct QCborStreamReader::StringResult

- List of all members, including inherited members

## Public Variables

Container | data
StringResultCode | status

## Detailed Description

This class is returned by readString() and readByteArray(), with either the contents of the string that was read or an indication that the parsing is done or found an error.

The contents of data are valid only if status is Ok. Otherwise, it should be null.

## Member Variable Documentation

### Container StringResult::data

Contains the actual data from the string if status is `Ok`.

### StringResultCode StringResult::status

Contains the status of the attempt of reading the string from the stream.